using Android.App;
using Android.Runtime;


namespace HybridApp
{
    [Application(UsesCleartextTraffic = true)]
    public class MainApplication : MauiApplication
    {
        public MainApplication(IntPtr handle, JniHandleOwnership ownership)
            : base(handle, ownership)
        {
        }

        protected override MauiApp CreateMauiApp()
        {
            //Microsoft.Maui.Handlers.WebViewHandler.Mapper.ModifyMapping(
            //    nameof(Android.Webkit.WebView.WebChromeClient),
            //    (handler, view, args) => handler.PlatformView.SetWebChromeClient(new MyWebChromeClient(handler)));
            return MauiProgram.CreateMauiApp();
        }
    }
}
